/*

 PMMMozilla - PMMail/2 Mozilla Integration REXX Script - Version 2.0

 This script which enables PMMail/2 to be started via a "mailto:" link
 has originally been written by Oliver Poggensee, but since newer versions
 of Mozilla use a different way of invoking external mailprograms, the
 script needed some modifications.

 I added the necessary modications and changed the name of the script
 to PMMMozilla.cmd to prevent any misunderstandings.

 I kept the original program lines as comments indicated by "-->op".

 Modifications: (c) 2005 - INFINITY/2 - Axel Hagedorn, Darmstadt, Germany
 Original: (c) 07.07.2002 Oliver Poggensee op@opweb.de http://www.opweb.de

 To use this script you have to change the prefs.js file: Please add/change
 the following three lines in prefs.js:

 Change "I:\\PMMail\\REXX\pmmmozilla.cmd" with your path to pmmmozilla.cmd

   user_pref("applications.mailto", "I:\\PMMail\\REXX\\pmmmozilla.cmd");
   user_pref("applications.mailto.parameters", "\"");
 -->op user_pref("applications.mailto.parameters", "\"%url%\"");
   user_pref("network.protocol-handler.external.mailto", true);

*/

/* Name of the PMMail/2-account you want to use - leave blank
   (defaultAccount = "") if you have only one account or want to use the
   default one */
defaultAccount = '"Axel"'

/* Full path to pmmail.exe */
program = 'I:\PMMail\pmmail.exe'

/* Path where RexxWeb & RexxUni are stored */
rexxdll = 'I:\PMMail\REXX'

PARSE ARG . url /* -->op Parse arg url */

/* Delete leading and trailing spaces */
url = STRIP(url)

/* -->op url = Right(url, Length(url) -2)
         url = Left(url, Length(url) - 2) */

/* Change to dir which contains RexxWeb & RexxUni dll's */
rc = Directory(rexxdll)

CALL RxFuncAdd 'RexxwebLoadFuncs', 'REXXWEB', 'RexxwebLoadFuncs'
CALL RexxwebLoadFuncs

CALL RxFuncAdd 'UniLoadFuncs', 'RexxUni', 'UniLoadFuncs'
CALL UniLoadFuncs

/* Decode URL encoded characters, delete carriage return and linefeed */
rc = URL2Ascii('url',CL)

/* Change codepage from 819 (ISO 8859-1) to system default */
url = UniXlat(url,'0','819')

/* Start PMMail/2 */
IF defaultAccount = '' THEN
  program '"'url'"' /* -->op program '"mailto:'url'"' */
ELSE
  program ' /s 'defaultAccount' "'url'"'
/* -->op program' /s 'defaultAccount' "mailto:'url'"' */

RETURN



